/*
 * JPA2 entity template for JEE6
 *
 *
 * Takatuka - Template fuer JPA JEE6
 *
 * Moeglichkeiten und Einschraenkungen:
 * - Beziehungen werden abgebildet
 * -- es gibt keine 1:1 Beziehungen
 * -- N:M Beziehungen sind immer bidirektional
 * - Vererbung wird nicht unterstuetzt
 */

package de.ivu.elect.business.internet.entity;

public interface InternetSeiteBase extends 
de.ivu.elect.jee.entity.customdata.CustomDataEntity<InternetSeitePK, InternetSeiteUK>

{

  
  /**
   * getter for primary key wrapper INTERNET_SEITE.internet_seite_id
   *
   * @return
   */
  @Override
  InternetSeitePK getPk();
    

  /**
   * ATTRIBUTE
   */

    

  /**
   * 
   *
   * getter for INTERNET_SEITE.BESCHREIBUNG
   *
   */
  java.lang.String getBeschreibung();

  /**
   * 
   *
   * setter for INTERNET_SEITE.BESCHREIBUNG
   *
   * @param beschreibung
   */
  void setBeschreibung(java.lang.String beschreibung);
      

  /**
   * 
   *
   * getter for INTERNET_SEITE.POSITION
   *
   */
  java.lang.Long getPosition();

  /**
   * 
   *
   * setter for INTERNET_SEITE.POSITION
   *
   * @param position
   */
  void setPosition(java.lang.Long position);
      

  /**
   * 
   *
   * getter for INTERNET_SEITE.SEITEN_TYP
   *
   */
  de.ivu.elect.business.internet.entity.InternetSeiteTyp getSeitenTyp();

  /**
   * 
   *
   * setter for INTERNET_SEITE.SEITEN_TYP
   *
   * @param seitenTyp
   */
  void setSeitenTyp(de.ivu.elect.business.internet.entity.InternetSeiteTyp seitenTyp);
      

  /**
   * 
   *
   * getter for INTERNET_SEITE.STATUS
   *
   */
  de.ivu.elect.business.internet.entity.InternetSeiteStatus getStatus();

  /**
   * 
   *
   * setter for INTERNET_SEITE.STATUS
   *
   * @param status
   */
  void setStatus(de.ivu.elect.business.internet.entity.InternetSeiteStatus status);
      

  /**
   * 
   *
   * getter for INTERNET_SEITE.TITEL
   *
   */
  java.lang.String getTitel();

  /**
   * 
   *
   * setter for INTERNET_SEITE.TITEL
   *
   * @param titel
   */
  void setTitel(java.lang.String titel);
  
/**
 * Beziehungen N:1 unidirektional
 */

  /**
   * 
   */
  void setCustomDataStorage(de.ivu.elect.business.customdata.entity.CustomDataStorage customDataStorage);

  /**
   * 
   */
  de.ivu.elect.business.customdata.entity.CustomDataStorage getCustomDataStorage();



  /**
   * 
   */
  void setWahl(de.ivu.elect.business.wahl.entity.Wahl wahl);

  /**
   * 
   */
  de.ivu.elect.business.wahl.entity.Wahl getWahl();



/**
 * Beziehungen N:1 bidirektional
 */


/**
 * Beziehungen 1:N unidirektional (nicht unterstuetzt)
   */

/**
 * Beziehungen 1:N bidirektional
   */

  /**
  * getter muss read-only verwendet werden, da die Beziehung auf der anderen Seite nicht aktualisiert wird!
  */
  java.util.Set<de.ivu.elect.business.internet.entity.InternetWidget> getInternetWidgetsByInternetSeite();

  /**
  * Hinzufuegen von de.ivu.elect.business.internet.entity.InternetWidget
  */
  void addInternetWidgetByInternetSeite(de.ivu.elect.business.internet.entity.InternetWidget internetWidgetByInternetSeite);

  /**
  * Entfernen von de.ivu.elect.business.internet.entity.InternetWidget
  */
  void removeInternetWidgetByInternetSeite(de.ivu.elect.business.internet.entity.InternetWidget internetWidgetByInternetSeite);

 /**
  * Entfernen von allen de.ivu.elect.business.internet.entity.InternetWidget
  */
   void removeAllInternetWidgetByInternetSeites();


/**
 * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

/**
 * Beziehungen N:M bidirektional selbstreferenzierend
   */
}
